## lz4-java 1.5.1

=== debian/changelog ===
lz4-java (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * Fixed the backward compatibility with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Oct 2019 11:35:29 +0200

lz4-java (1.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #934700)

 -- Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>  Sat, 21 Sep 2019 09:43:31 +0200
