## lz4-java 1.8.0

=== debian/changelog ===
lz4-java (1.8.0-3) unstable; urgency=medium

  * Skip tests on slow architectures to address FTBFS (Closes: #1015885)
    Thank you to Eric Long for the merge request.

 -- tony mancill <tmancill@debian.org>  Sun, 28 Aug 2022 10:34:03 -0700

lz4-java (1.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Wed, 29 Jun 2022 07:25:58 -0700

lz4-java (1.8.0-1) experimental; urgency=medium

  * New upstream version 1.8.0 (Closes: #1013324)
  * Standards-Version updated to 4.6.1

 -- tony mancill <tmancill@debian.org>  Tue, 28 Jun 2022 22:21:47 -0700

lz4-java (1.5.1-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981852)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 22:00:04 +0100
