=== debian/control ===
--- 
+++ 
@@ -2,26 +2,29 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>
+Uploaders: Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>,
+ tony mancill <tmancill@debian.org>
 Build-Depends:
  ant,
  ant-contrib-cpptasks (>= 1.0~b5-5~),
  ant-optional,
  bnd,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  ivy-debian-helper,
  junit4,
  libcarrotsearch-randomizedtesting-java (>= 2.1.17-4~),
  liblz4-dev,
  libmvel-java,
+ librhino-java (>= 1.7.7.2-3~),
  libxxhash-dev,
  lz4,
  maven-repo-helper,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/java-team/lz4-java
 Vcs-Git: https://salsa.debian.org/java-team/lz4-java.git
 Homepage: https://github.com/lz4/lz4-java
+Rules-Requires-Root: no
 
 Package: liblz4-java
 Architecture: all
