=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 override_dh_auto_build-indep:
 	dh_auto_build -- bundle makepom -Dskip.jni=true
 	mv dist/lz4-java-*.pom dist/lz4-java.pom
+	# build lz4-pure-java.jar
+	#dh_auto_build -- bundle makepom -Dlz4-pure-java=true
+	#mv dist/lz4-pure-java-*.pom dist/lz4-pure-java.pom
 
 override_dh_auto_build-arch:
 	dh_auto_build -- compile-java
@@ -28,7 +31,9 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter alpha armel ia64 mips64el mipsel powerpc riscv64 x32, $(DEB_BUILD_ARCH)))
 	dh_auto_build -- test -Dskip.jni=true
+endif
 endif
 
 override_dh_auto_install-arch:
