=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/lz4/lz4-java/tags .*/([\d\.]+).tar.gz
